* [PATCH] intltool: Enable testsuite.
@ 2016-09-23 9:15 Stefan Schantl
2016-09-24 11:23 ` Michael Tremer
0 siblings, 1 reply; 4+ messages in thread
From: Stefan Schantl @ 2016-09-23 9:15 UTC (permalink / raw)
To: development
[-- Attachment #1: Type: text/plain, Size: 827 bytes --]
Signed-off-by: Stefan Schantl <stefan.schantl(a)ipfire.org>
---
intltool/intltool.nm | 15 +++++++++++++--
1 file changed, 13 insertions(+), 2 deletions(-)
diff --git a/intltool/intltool.nm b/intltool/intltool.nm
index 1f0311c..a217ea3 100644
--- a/intltool/intltool.nm
+++ b/intltool/intltool.nm
@@ -5,7 +5,7 @@
name = intltool
version = 0.51.0
-release = 1
+release = 2
arch = noarch
groups = Localization/Tools
@@ -29,7 +29,18 @@ build
end
configure_options += \
- --mandir=/usr/share/man
+ --mandir=%{mandir}
+
+ test
+ if ! make check; then
+ find . -type f -name 'test-suite.log' | while read trs; do
+ echo "BEGIN " ${trs}; cat ${trs} 1>&2;
+ done
+
+ echo "Exiting abnormally due to make check failure above" 1>&2
+ exit 1
+ fi
+ end
end
packages
--
2.7.4
^ permalink raw reply [flat|nested] 4+ messages in thread
* Re: [PATCH] intltool: Enable testsuite.
2016-09-23 9:15 [PATCH] intltool: Enable testsuite Stefan Schantl
@ 2016-09-24 11:23 ` Michael Tremer
2017-01-12 9:18 ` Stefan Schantl
0 siblings, 1 reply; 4+ messages in thread
From: Michael Tremer @ 2016-09-24 11:23 UTC (permalink / raw)
To: development
[-- Attachment #1: Type: text/plain, Size: 1064 bytes --]
Hi,
On Fri, 2016-09-23 at 11:15 +0200, Stefan Schantl wrote:
> Signed-off-by: Stefan Schantl <stefan.schantl(a)ipfire.org>
> ---
> intltool/intltool.nm | 15 +++++++++++++--
> 1 file changed, 13 insertions(+), 2 deletions(-)
>
> diff --git a/intltool/intltool.nm b/intltool/intltool.nm
> index 1f0311c..a217ea3 100644
> --- a/intltool/intltool.nm
> +++ b/intltool/intltool.nm
> @@ -5,7 +5,7 @@
>
> name = intltool
> version = 0.51.0
> -release = 1
> +release = 2
> arch = noarch
>
> groups = Localization/Tools
> @@ -29,7 +29,18 @@ build
> end
>
> configure_options += \
> - --mandir=/usr/share/man
> + --mandir=%{mandir}
This is always automatically set.
> + test
> + if ! make check; then
> + find . -type f -name 'test-suite.log' | while read
> trs; do
> + echo "BEGIN " ${trs}; cat ${trs} 1>&2;
> + done
> +
> + echo "Exiting abnormally due to make check failure
> above" 1>&2
> + exit 1
> + fi
> + end
> end
What is this needed for?
>
> packages
[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 819 bytes --]
^ permalink raw reply [flat|nested] 4+ messages in thread
* Re: [PATCH] intltool: Enable testsuite.
2016-09-24 11:23 ` Michael Tremer
@ 2017-01-12 9:18 ` Stefan Schantl
2017-01-12 9:19 ` [PATCHv2] " Stefan Schantl
0 siblings, 1 reply; 4+ messages in thread
From: Stefan Schantl @ 2017-01-12 9:18 UTC (permalink / raw)
To: development
[-- Attachment #1: Type: text/plain, Size: 1286 bytes --]
Hello Michael,
thanks for pointing these things out, I'll sent a new patch to this
list.
Best regards,
-Stefan
> Hi,
>
> On Fri, 2016-09-23 at 11:15 +0200, Stefan Schantl wrote:
> > Signed-off-by: Stefan Schantl <stefan.schantl(a)ipfire.org>
> > ---
> > intltool/intltool.nm | 15 +++++++++++++--
> > 1 file changed, 13 insertions(+), 2 deletions(-)
> >
> > diff --git a/intltool/intltool.nm b/intltool/intltool.nm
> > index 1f0311c..a217ea3 100644
> > --- a/intltool/intltool.nm
> > +++ b/intltool/intltool.nm
> > @@ -5,7 +5,7 @@
> >
> > name = intltool
> > version = 0.51.0
> > -release = 1
> > +release = 2
> > arch = noarch
> >
> > groups = Localization/Tools
> > @@ -29,7 +29,18 @@ build
> > end
> >
> > configure_options += \
> > - --mandir=/usr/share/man
> > + --mandir=%{mandir}
>
> This is always automatically set.
>
> > + test
> > + if ! make check; then
> > + find . -type f -name 'test-suite.log' |
> > while read
> > trs; do
> > + echo "BEGIN " ${trs}; cat ${trs}
> > 1>&2;
> > + done
> > +
> > + echo "Exiting abnormally due to make
> > check failure
> > above" 1>&2
> > + exit 1
> > + fi
> > + end
> > end
>
> What is this needed for?
>
> >
> > packages
[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 819 bytes --]
^ permalink raw reply [flat|nested] 4+ messages in thread
* [PATCHv2] intltool: Enable testsuite
2017-01-12 9:18 ` Stefan Schantl
@ 2017-01-12 9:19 ` Stefan Schantl
0 siblings, 0 replies; 4+ messages in thread
From: Stefan Schantl @ 2017-01-12 9:19 UTC (permalink / raw)
To: development
[-- Attachment #1: Type: text/plain, Size: 643 bytes --]
* Drop automatically set configure switch.
Signed-off-by: Stefan Schantl <stefan.schantl(a)ipfire.org>
---
intltool/intltool.nm | 7 ++++---
1 file changed, 4 insertions(+), 3 deletions(-)
diff --git a/intltool/intltool.nm b/intltool/intltool.nm
index 1f0311c..bedcc53 100644
--- a/intltool/intltool.nm
+++ b/intltool/intltool.nm
@@ -5,7 +5,7 @@
name = intltool
version = 0.51.0
-release = 1
+release = 2
arch = noarch
groups = Localization/Tools
@@ -28,8 +28,9 @@ build
perl(XML::Parser)
end
- configure_options += \
- --mandir=/usr/share/man
+ test
+ make check
+ end
end
packages
--
2.9.3
^ permalink raw reply [flat|nested] 4+ messages in thread
end of thread, other threads:[~2017-01-12 9:19 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2016-09-23 9:15 [PATCH] intltool: Enable testsuite Stefan Schantl
2016-09-24 11:23 ` Michael Tremer
2017-01-12 9:18 ` Stefan Schantl
2017-01-12 9:19 ` [PATCHv2] " Stefan Schantl
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox